%global packname  vroom
%global rlibdir  %{_libdir}/R/library
%global debug_package %{nil}

Name:             R-%{packname}
Version:          1.6.4
Release:          5%{?dist}
Summary:          Read and Write Rectangular Text Data Quickly

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-bit64, R-cli >= 3.2.0, R-crayon, R-glue, R-hms, R-lifecycle >= 1.0.3, R-methods, R-rlang >= 0.4.2, R-stats, R-tibble >= 2.0.0, R-tidyselect, R-tzdb >= 0.1.1, R-vctrs >= 0.2.0, R-withr
# Suggests:  R-archive, R-bench >= 1.1.0, R-covr, R-curl, R-dplyr, R-forcats, R-fs, R-ggplot2, R-knitr, R-patchwork, R-prettyunits, R-purrr, R-rmarkdown, R-rstudioapi, R-scales, R-spelling, R-testthat >= 2.1.0, R-tidyr, R-utils, R-waldo, R-xml2
# LinkingTo: LinkingTo: cpp11 (>= 0.2.0), progress (>= 1.2.1), tzdb (>= 0.1.1)
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cpp11-devel >= 0.2.0
BuildRequires:    R-progress-devel >= 1.2.1
BuildRequires:    R-tzdb >= 0.1.1
BuildRequires:    R-bit64
BuildRequires:    R-cli >= 3.2.0
BuildRequires:    R-crayon
BuildRequires:    R-glue
BuildRequires:    R-hms
BuildRequires:    R-lifecycle >= 1.0.3
BuildRequires:    R-methods
BuildRequires:    R-rlang >= 0.4.2
BuildRequires:    R-stats
BuildRequires:    R-tibble >= 2.0.0
BuildRequires:    R-tidyselect
BuildRequires:    R-vctrs >= 0.2.0
BuildRequires:    R-withr


%description
The goal of 'vroom' is to read and write data (like 'csv', 'tsv' and 'fwf')
quickly. When reading it uses a quick initial indexing step, then reads the
values lazily , so only the data you actually use needs to be read.  The
writer formats the data in parallel and writes to disk asynchronously from
formatting.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%license %{rlibdir}/%{packname}/LICENSE
%license %{rlibdir}/%{packname}/COPYRIGHTS
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/bench
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/words



%changelog
* Sat Oct 07 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.6.4-5
- realise build depends on a -devel package
* Fri Oct 06 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.6.4-4
- fix missing LinkingTo deps
* Fri Oct 06 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.6.4-3
- fix build deps
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.6.4-2
- fix files list
- disable debug packages, since they end up included in a "dnf install 'R-*'" otherwise
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.6.4-1
- initial package for Fedora
